linux compat and freebsd 7-beta3

Alexander Leidinger Alexander at Leidinger.net
Tue Nov 27 07:48:04 PST 2007


Quoting Mike Ragusa <mragusa at gmail.com> (from Mon, 26 Nov 2007  
13:12:02 -0500):

> I have compiled linux compat into my freebsd kernel but i also had the
> same issues when it was loaded as a module.
>
> I recently installed neverwinter nights client from freebsd ports.
> After downloading all the scripts needed for running the application i
> get the following error
>
>> ./nwn
> ./nwmain: error while loading shared libraries:
> /usr/local/lib/libGL.so.1: ELF file OS ABI invalid

We need the output of ldd nwmain. Background info: it seems it picks  
up the FreeBSD lib, not the linux lib as it should.

Bye,
Alexander.

-- 
Bell Labs Unix - Reach out and grep someone.

http://www.Leidinger.net    Alexander @ Leidinger.net: PGP ID = B0063FE7
http://www.FreeBSD.org       netchild @ FreeBSD.org  : PGP ID = 72077137


More information about the freebsd-emulation mailing list